def setup(level):
    level.CreateNewBuilding(67.0, 51.5, 0.0)
    #                 GMFPathName                                   PieceName   AttachToPieceName   ToPointName   FromPointName
    level.UseAltBuildingTexture("Resources/Levels/Models/Maps/window_wall.tga")
    level.AddBuildingPiece("Resources/Levels/Models/long_wall.gmf", "FrontWall",  "",                 "",            "BBR Point", 180.0, 5.0)
    level.AddBuildingPiece("Resources/Levels/Models/mid_wall.gmf",  "LeftWall",   "FrontWall",        "BBR Point",    "BL Point", 90.0, 5.0)
    level.UseAltBuildingTexture("Resources/Levels/Models/Maps/garage_door_wall.tga")
    level.AddBuildingPiece("Resources/Levels/Models/long_wall.gmf", "BackWall",   "LeftWall",         "BR Point",    "BBL Point", 0.0, 5.0)
    level.UseAltBuildingTexture("Resources/Levels/Models/Maps/window_wall.tga")
    level.AddBuildingPiece("Resources/Levels/Models/mid_wall.gmf",  "RightWall",  "BackWall",         "BBR Point",    "BL Point", 270.0, 5.0)
    level.AddBuildingPiece("Resources/Levels/Models/long_gable.gmf", "LeftGable",  "FrontWall",         "BTR Point",    "BBR Point", 180.0, 5.0)
    level.AddBuildingPiece("Resources/Levels/Models/long_gable.gmf", "RightGable", "BackWall",        "BTR Point",    "BBR Point", 0.0, 5.0)
    level.AddBuildingPiece("Resources/Levels/Models/garage_floor.gmf", "Floor", "LeftWall",         "BR Point",    "BR Point", 180.0, 5.0)
    level.UseAltBuildingTexture("Resources/Levels/Models/Maps/garage_door_wall.tga")
    level.AddBuildingPiece("Resources/Levels/Models/short_wall.gmf", "ShortRightWall", "Floor",       "ext point", "BBLPoint", 180.0, 5.0)
    level.UseAltBuildingTexture("Resources/Levels/Models/Maps/window_wall.tga")
    level.AddBuildingPiece("Resources/Levels/Models/short_wall.gmf", "ShortFrontWall", "ShortRightWall",     "BBRPoint",   "BLPoint", 270.0, 5.0)
    level.AddBuildingPiece("Resources/Levels/Models/short_wall.gmf", "ShortLeftWall",  "ShortFrontWall",    "BRPoint", "BBLPoint", 0.0, 5.0)
    level.AddBuildingPiece("Resources/Levels/Models/garage_roof.gmf", "Roof",           "FrontWall",      "BTL Point",   "attach point", 180.0, 5.0)
    level.AddBuildingPiece("Resources/Levels/Models/short_gable.gmf", "FrontGable", "ShortFrontWall",    "BTLPoint",    "BR Point", 90.0, 5.0)
    
    # disable all the subpiece collisions between all the different buildings.  This must be called _after_ all buildings have been created.
    level.DisableAllBuildingCollisions()